<template>
    <div class="scan">
        <div class="button">
            <van-button round size="large" type="info" @click="scan">扫一扫</van-button>
        </div>
    </div>
</template>

<script>
import Vue from 'vue';
import { Button } from 'vant';
// import { addPermitStatistics } from '@/api/epidemic'
Vue.use(Button);
export default {
    data() {
        return {
            
        }
    },
    methods: {
        scan(){
            if (window.android !== window.androidundefined) {
                const res = window.android.scan(); // 这是一个json字符串  android端
                sessionStorage.setItem("ZJCD-UserInfo",res);
                this.userInfo = JSON.parse(res);
            } else if (window.webkit) {
                window.webkit && window.webkit.messageHandlers.startScan.postMessage('startScan'); // ios端
            }  
        },
        //统计扫码次数
        // times() {
        //     let params = {

        //     }
        //     addPermitStatistics(params).then((res) => {
        //         console.log(res);
        //     })
        // }
    },
    created() {
        this.scan()
    },
}
</script>

<style lang="stylus" scoped>
.scan{
    width 100%;
    height 100%;
    background #fff
    .button{
        padding 400px 20px;
    }
}
</style>